function [O]=metaShapeRot(I,uhel1,uhel2,interval)
%funkce vyrvori z obrazku I orotovany vyrez v nekolika uhlech => vystupni
%obraz bude mensi o (opsany ctverec) nez vstupni obraz


% uhel=20;
% interval=4;
%%%%%%%%%%%%%%%%%%%%%%%%%%


%%OTACENI OBRAZU PRIPRAVA METASABLONY
vidim=min(size(I)); %%kolik uvidim po rotaci ?


vidim=vidim-1;
%vidim=vidim;%% nebo orez
vidim=sqrt((vidim*vidim)/2);%% VEPSANY CTVEREC DO KRUZNICE
vidim=int16(vidim);

%vidim musi byt sude!
if(mod(vidim,2)==1)
    vidim=vidim-1;
end

vidimP=vidim/2;
vidimP=int16(vidimP);



    stred1=int16(size(I,1)/2);%%vypocet stredu obrazu ->pouziji pro vystrihnuti prostredku obrazu
    stred2=int16(size(I,2)/2);
p=0;
for i=uhel1:interval:uhel2
    x=imrotate(I,i,'crop');

    f=x(stred1-vidimP:stred1+vidimP-1,stred2-vidimP:stred2+vidimP-1);%vystriknu prostredek obrazu o rozmeru vidim

    O(:,p+1:vidim+p)=f;
    p=p+vidim;
    fprintf('vytvarim_uhel %i \n',i)
end
